package com.sooka.sponest.monitor.device.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 检测设备和摄像头关联对象 centermonitor_t_monitoring_device_camera
 *
 * @author ruoyi
 * @date 2024-07-31
 */
public class CentermonitorTMonitoringDeviceCamera extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 监测设备id
     */
    @Excel(name = "监测设备id")
    private String deviceId;

    /**
     * 摄像头编码
     */
    @Excel(name = "摄像头编码")
    private String cameraCode;

    /**
     * 摄像头名称
     */
    @Excel(name = "摄像头名称")
    private String cameraName;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setCameraCode(String cameraCode) {
        this.cameraCode = cameraCode;
    }

    public String getCameraCode() {
        return cameraCode;
    }

    public void setCameraName(String cameraName) {
        this.cameraName = cameraName;
    }

    public String getCameraName() {
        return cameraName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deviceId", getDeviceId())
                .append("cameraCode", getCameraCode())
                .append("cameraName", getCameraName())
                .toString();
    }
}
